#ifndef	_DEFINE_H_
#define	_DEFINE_H_

/*--------------------------------------------------------------*/
/* CC                                               */
/*--------------------------------------------------------------*/
__inline__ void SetSRReg (unsigned char mask) __attribute__((always_inline));
__inline__ void sleep (void) __attribute__ ((always_inline));
__inline__ void nop (void) __attribute__ ((always_inline));
extern __inline__ void SetSRReg (unsigned char mask)
{
  asm volatile ("mov.l r0,@-r15");
  asm volatile ("mov %0,r0"::"r"(mask));
  asm volatile ("and #0xF,r0");
  asm volatile ("rotl r0");
  asm volatile ("rotl r0");
  asm volatile ("rotl r0");
  asm volatile ("rotl r0");
  asm volatile ("ldc r0,sr");
  asm volatile ("mov.l @r15+,r0");
}
extern __inline__ void sleep (void)
{
  asm volatile ("sleep");
}
extern __inline__ void nop (void)
{
  asm volatile ("nop");
}


#define PCLOCK	28640000	//28000000

#define PMC		0		//pX[^
#define LCD		0		//t\
#define RS0		1		//SCI0
#define RS1		1		//SCI1
#define RAM		0		//RAM
#define EEPROM	0		//EEPROM 93C66
#define KDEBUG	0


#define FAIL	0x01
#define ERROR	(-1)
#define PASS	0x00

#define	CRLF	"\r\n"	//0x0d,0x0a CR,LF



#endif	//_DEFINE_H_
