/****************************************************************
KPIT Cummins Infosystems Ltd, Pune, India. - 10-Mar-2003.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*****************************************************************/

#include "7040s.h"

#define	ROM		1	// 1:ROM only	2:ROMRAM
//RAM̂	0xFFFFF000	.data section	ROM
//	JP:RDE	DSW1:OFF DSW2:OFF DSW3:OFF
//ORAMgp	0x00400000	.data section	ROMRAM
//	JP:1M	DSW1:ON DSW2:OFF DSW3:OFF

void hw_initialise (void) {
#if ROM == 1	//MCU MODE3(VO`bv[h)
//	JP:RDE	DSW1:OFF DSW2:OFF DSW3:OFF
	//--------------------------------------
	// oXXe[gRg[
	//--------------------------------------
	BSC.BCR1.WORD	= 0x2000;	// oXRg[WX^1	MTURWE=EN
//	0010 0000 0000 1111	BCR1	l
//	  +-----l-llll-llll--	BSC.BCR1.BIT.MTURWE		= 1;	// MTUWX^ANZX 0:֎~, *1:
//	        +-llll-llll--	BSC.BCR1.BIT.IOE		= 0;	// *0:~CS3ʏ, 1:}`vNXI/O
//	          +lll-llll--	BSC.BCR1.BIT.A3LG		= 0;	// *0:~CS3 A3SZQ, 1:~CS3 32bit
//	           +ll-llll--	BSC.BCR1.BIT.A2LG		= 0;	// *0:~CS2 A2SZQ, 1:~CS2 32bit
//	            +l-llll--	BSC.BCR1.BIT.A1LG		= 0;	// *0:~CS1 A1SZQ, 1:~CS1 32bit
//	             +-llll--	BSC.BCR1.BIT.A0LG		= 0;	// *0:~CS0 A0SZQ, 1:~CS0 32bit
//	               +lll--	BSC.BCR1.BIT.A3SZ		= 0;	// 0:~CS3 8bit, *1:~CS3 16bit
//	                +ll--	BSC.BCR1.BIT.A2SZ		= 0;	// 0:~CS2 8bit, *1:~CS2 16bit
//	                 +l--	BSC.BCR1.BIT.A1SZ		= 0;	// 0:~CS1 8bit, *1:~CS1 16bit
//	                  +--	BSC.BCR1.BIT.A0SZ		= 0;	// 0:~CS0 8bit, *1:~CS0 16bit
	BSC.BCR2.WORD	= 0x0000;	// oXRg[WX^2
//	1111 1111 1111 1111	BCR2	l
//	++ll-llll-llll-llll--	BSC.BCR2.BIT.IW3		= 0;	// ~CS3ANZXAChTCN 0`*3
//	  ++-llll-llll-llll--	BSC.BCR2.BIT.IW2		= 0;	// ~CS2ANZXAChTCN 0`*3
//	     ++ll-llll-llll--	BSC.BCR2.BIT.IW1		= 0;	// ~CS1ANZXAChTCN 0`*3
//	       ++-llll-llll--	BSC.BCR2.BIT.IW0		= 0;	// ~CS0ANZXAChTCN 0`*3
//	          +lll-llll--	BSC.BCR2.BIT.CW3		= 0;	// ~CS3AANZXAChTCN 0`*1
//	           +ll-llll--	BSC.BCR2.BIT.CW2		= 0;	// ~CS2AANZXAChTCN 0`*1
//	            +l-llll--	BSC.BCR2.BIT.CW1		= 0;	// ~CS1AANZXAChTCN 0`*1
//	             +-llll--	BSC.BCR2.BIT.CW0		= 0;	// ~CS0AANZXAChTCN 0`*1
//	               +lll--	BSC.BCR2.BIT.SW3		= 0;	// ~CS3AT[gg 0:Ȃ, *1:
//	                +ll--	BSC.BCR2.BIT.SW2		= 0;	// ~CS2AT[gg 0:Ȃ, *1:
//	                 +l--	BSC.BCR2.BIT.SW1		= 0;	// ~CS1AT[gg 0:Ȃ, *1:
//	                  +--	BSC.BCR2.BIT.SW0		= 0;	// ~CS0AT[gg 0:Ȃ, *1:
	BSC.WCR1.WORD	= 0x0000;	// EFCgRg[WX^1
//	1111 1111 1111 1111	WCR1	l
//	++++-llll-llll-llll--	BSC.WCR1.BIT.W3			= 0;	// ~CS3ANZXEFCg 0`*15
//	     ++++-llll-llll--	BSC.WCR1.BIT.W2			= 0;	// ~CS2ANZXEFCg 0`*15
//	          ++++-llll--	BSC.WCR1.BIT.W1			= 0;	// ~CS1ANZXEFCg 0`*15
//	               ++++--	BSC.WCR1.BIT.W0			= 0;	// ~CS0ANZXEFCg 0`*15
	//--------------------------------------
	// st@NVRg[
	//--------------------------------------
	PFC.PACRH.WORD	= 0x0000;	// |[gARg[WX^H
//	0000 0000 0000 0000	PACRH	l
//	 +-l--l-l-llll--l-l--	PFC.PACRH.BIT.PA23MD	= 0;	// *0:PA23, 1:~WRHH
//	   +--l-l-llll--l-l--	PFC.PACRH.BIT.PA22MD	= 0;	// *0:PA22, 1:~WRHL
//	      +-l-llll--l-l--	PFC.PACRH.BIT.PA21MD	= 0;	// *0:PA21, 1:~CASHH
//	        +-llll--l-l--	PFC.PACRH.BIT.PA20MD	= 0;	// *0:PA20, 1:~CASHL
//	          ++ll--l-l--	PFC.PACRH.BIT.PA19MD	= 0;	// *0:PA19, 1:~BACK, 2:~DREQ1
//	            ++--l-l--	PFC.PACRH.BIT.PA18MD	= 0;	// *0:PA18, 1:~BREQ, 2:~DREQ0
//	                +-l--	PFC.PACRH.BIT.PA17MD	= 0;	// *0:PA17, 1:~WAIT
//	                  +--	PFC.PACRH.BIT.PA16MD	= 0;	// *0:PA16, 1:~AH
	PFC.PACRL1.WORD	= 0x0000;	// |[gARg[WX^L1
//	0000 0000 0000 0000	PACRL1	l
//	 +-l--l-l--l-l-llll--	PFC.PACRL1.BIT.PA15MD	= 0;	// *0:PA15, 1:CK
//	   +--l-l--l-l-llll--	PFC.PACRL1.BIT.PA14MD	= 0;	// *0:PA14, 1:~RD
//	      +-l--l-l-llll--	PFC.PACRL1.BIT.PA13MD	= 0;	// *0:PA13, 1:~WRH
//	        +--l-l-llll--	PFC.PACRL1.BIT.PA12MD	= 0;	// *0:PA12, 1:~WRL
//	           +-l-llll--	PFC.PACRL1.BIT.PA11MD	= 0;	// *0:PA11, 1:~CS1
//	             +-llll--	PFC.PACRL1.BIT.PA10MD	= 0;	// *0:PA10, 1:~CS0
//	               ++ll--	PFC.PACRL1.BIT.PA9MD	= 0;	// *0:PA9, 1:TCLKD, 2:~IRQ3
//	                 ++--	PFC.PACRL1.BIT.PA8MD	= 0;	// *0:PA8, 1:TCLKC, 2:~IRQ2
	PFC.PACRL2.WORD	= 0x0145;	// |[gARg[WX^L2	SCI0,SCI1 EN
//	0000 0000 0000 0000	PACRL2	l
//	++ll-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA7MD	= 0;	// *0:PA7, 1:TCLKB, 2:~CS3
//	  ++-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA6MD	= 0;	// *0:PA6, 1:TCLKA, 2:~CS2
//	     ++-l--lll--l-l--	PFC.PACRL2.BIT.PA5MD	= 0;	// *0:PA5, 1:SCK1, 2:~DREQ1, 3:~IRQ1
//	        +--lll--l-l--	PFC.PACRL2.BIT.PA4MD	= 1;	// *0:PA4, 1:TXD1
//	           +ll--l-l--	PFC.PACRL2.BIT.PA3MD	= 1;	// *0:PA3, 1:RXD1
//	            ++--l-l--	PFC.PACRL2.BIT.PA2MD	= 0;	// *0:PA2, 1:SCK0, 2:~DREQ0, 3:~IRQ0
//	                +-l--	PFC.PACRL2.BIT.PA1MD	= 1;	// *0:PA1, 1:TXD0
//	                  +--	PFC.PACRL2.BIT.PA0MD	= 1;	// *0:PA0, 1:RXD0
	PFC.PBCR1.WORD	= 0x0000;	// |[gBRg[WX^1
//	0000 0000 0000 0000	PBCR1	l
//	               ++ll--	PFC.PBCR1.BIT.PB9MD		= 0;	// *0:PB9, 1:~IRQ7, 2:A21, 3:~ADTRG
//	                 ++--	PFC.PBCR1.BIT.PB8MD		= 0;	// *0:PB8, 1:~IRQ6, 2;A20, 3:~WAIT
	PFC.PBCR2.WORD	= 0x0000;	// |[gBRg[WX^2
//	0000 0000 0000 0000	PBCR2	l
//	++ll-llll-llll--l-l--	PFC.PBCR2.BIT.PB7MD		= 0;	// *0:PB7, 1:~IRQ5, 2:A19, 3:~BREQ
//	  ++-llll-llll--l-l--	PFC.PBCR2.BIT.PB6MD		= 0;	// *0:PB6, 1:~IRQ4, 2:A18, 3:~BACK
//	     ++ll-llll--l-l--	PFC.PBCR2.BIT.PB5MD		= 0;	// *0:PB5, 1:~IRQ3, 2:~POE3, 3:RDWR
//	       ++-llll--l-l--	PFC.PBCR2.BIT.PB4MD		= 0;	// *0:PB4, 1:~IRQ2, 2:~POE2, 3:~CASH
//	          ++ll--l-l--	PFC.PBCR2.BIT.PB3MD		= 0;	// *0:PB3, 1:~IRQ1, 2:~POE1, 3:~CASL
//	            ++--l-l--	PFC.PBCR2.BIT.PB2MD		= 0;	// *0:PB2, 1:~IRQ0, 2:~POE0, 3:~RAS
//	                +-l--	PFC.PBCR2.BIT.PB1MD		= 0;	// *0:PB1, 1:A17
//	                  +--	PFC.PBCR2.BIT.PB0MD		= 0;	// *0:PB0, 1:A16
	PFC.PCCR.WORD	= 0x0000;	// |[gCRg[WX^
//	0000 0000 0000 0000	PCCR	l
//	+lll-llll-llll-llll--	PFC.PCCR.BIT.PC15MD		= 0;	// *0:PC15, 1:A15
//	 +ll-llll-llll-llll--	PFC.PCCR.BIT.PC14MD		= 0;	// *0:PC14, 1:A14
//	  +l-llll-llll-llll--	PFC.PCCR.BIT.PC13MD		= 0;	// *0:PC13, 1:A13
//	   +-llll-llll-llll--	PFC.PCCR.BIT.PC12MD		= 0;	// *0:PC12, 1:A12
//	     +lll-llll-llll--	PFC.PCCR.BIT.PC11MD		= 0;	// *0:PC11, 1:A11
//	      +ll-llll-llll--	PFC.PCCR.BIT.PC10MD		= 0;	// *0:PC10, 1:A10
//	       +l-llll-llll--	PFC.PCCR.BIT.PC9MD		= 0;	// *0:PC9, 1:A9
//	        +-llll-llll--	PFC.PCCR.BIT.PC8MD		= 0;	// *0:PC8, 1:A8
//	          +lll-llll--	PFC.PCCR.BIT.PC7MD		= 0;	// *0:PC7, 1:A7
//	           +ll-llll--	PFC.PCCR.BIT.PC6MD		= 0;	// *0:PC6, 1:A6
//	            +l-llll--	PFC.PCCR.BIT.PC5MD		= 0;	// *0:PC5, 1:A5
//	             +-llll--	PFC.PCCR.BIT.PC4MD		= 0;	// *0:PC4, 1:A4
//	               +lll--	PFC.PCCR.BIT.PC3MD		= 0;	// *0:PC3, 1:A3
//	                +ll--	PFC.PCCR.BIT.PC2MD		= 0;	// *0:PC2, 1:A2
//	                 +l--	PFC.PCCR.BIT.PC1MD		= 0;	// *0:PC1, 1:A1
//	                  +--	PFC.PCCR.BIT.PC0MD		= 0;	// *0:PC0, 1:A0
	PFC.PDCRH1.WORD	= 0x0000;	// |[gDRg[WX^H1
//	0000 0000 0000 0000	PDCRH1	l
//	++ll-llll-llll-llll--	PFC.PDCRH1.BIT.PD31MD	= 0;	// *0:PD31, 1:D31, 2:~ADTRG
//	  ++-llll-llll-llll--	PFC.PDCRH1.BIT.PD30MD	= 0;	// *0:PD30, 1:D30, 2:~IRQOUT
//	     ++ll-llll-llll--	PFC.PDCRH1.BIT.PD29MD	= 0;	// *0:PD29, 1:D29, 2;~CS3
//	       ++-llll-llll--	PFC.PDCRH1.BIT.PD28MD	= 0;	// *0:PD28, 1:D28, 2:~CS2
//	          ++ll-llll--	PFC.PDCRH1.BIT.PD27MD	= 0;	// *0:PD27, 1:D27, 2:DACK1
//	            ++-llll--	PFC.PDCRH1.BIT.PD26MD	= 0;	// *0:PD26, 1:D26, 2:DACK0
//	               ++ll--	PFC.PDCRH1.BIT.PD25MD	= 0;	// *0:PD25, 1:D25, 2:~DREQ1
//	                 ++--	PFC.PDCRH1.BIT.PD24MD	= 0;	// *0:PD24, 1:D24, 2:~DREQ0
	PFC.PDCRH2.WORD	= 0x0000;	// |[gDRg[WX^H2
//	0000 0000 0000 0000	PDCRH2	l
//	++ll-llll-llll-llll--	PFC.PDCRH2.BIT.PD23MD	= 0;	// *0:PD23, 1:D23, 2:~IRQ7
//	  ++-llll-llll-llll--	PFC.PDCRH2.BIT.PD22MD	= 0;	// *0:PD22, 1:D22, 2:~IRQ6
//	     ++ll-llll-llll--	PFC.PDCRH2.BIT.PD21MD	= 0;	// *0:PD21, 1:D21, 2:~IRQ5
//	       ++-llll-llll--	PFC.PDCRH2.BIT.PD20MD	= 0;	// *0:PD20, 1:D20, 2:~IRQ4
//	          ++ll-llll--	PFC.PDCRH2.BIT.PD19MD	= 0;	// *0:PD19, 1:D19, 2:~IRQ3
//	            ++-llll--	PFC.PDCRH2.BIT.PD18MD	= 0;	// *0:PD18, 1:D18, 2:~IRQ2
//	               ++ll--	PFC.PDCRH2.BIT.PD17MD	= 0;	// *0:PD17, 1:D17, 2:~IRQ1
//	                 ++--	PFC.PDCRH2.BIT.PD16MD	= 0;	// *0:PD16, 1:D16, 2:~IRQ0
	PFC.PDCRL.WORD	= 0x0000;	// |[gDRg[WX^L
//	0000 0000 0000 0000	PDCRL	l
//	+lll-llll-llll-llll--	PFC.PDCRL.BIT.PD15MD	= 0;	// *0:PD15, 1:D15
//	 +ll-llll-llll-llll--	PFC.PDCRL.BIT.PD14MD	= 0;	// *0:PD14, 1:D14
//	  +l-llll-llll-llll--	PFC.PDCRL.BIT.PD13MD	= 0;	// *0:PD13, 1:D13
//	   +-llll-llll-llll--	PFC.PDCRL.BIT.PD12MD	= 0;	// *0:PD12, 1:D12
//	     +lll-llll-llll--	PFC.PDCRL.BIT.PD11MD	= 0;	// *0:PD11, 1:D11
//	      +ll-llll-llll--	PFC.PDCRL.BIT.PD10MD	= 0;	// *0:PD10, 1:D10
//	       +l-llll-llll--	PFC.PDCRL.BIT.PD9MD		= 0;	// *0:PD9, 1:D9
//	        +-llll-llll--	PFC.PDCRL.BIT.PD8MD		= 0;	// *0:PD8, 1:D8
//	          +lll-llll--	PFC.PDCRL.BIT.PD7MD		= 0;	// *0:PD7, 1:D7
//	           +ll-llll--	PFC.PDCRL.BIT.PD6MD		= 0;	// *0:PD6, 1:D6
//	            +l-llll--	PFC.PDCRL.BIT.PD5MD		= 0;	// *0:PD5, 1:D5
//	             +-llll--	PFC.PDCRL.BIT.PD4MD		= 0;	// *0:PD4, 1:D4
//	               +lll--	PFC.PDCRL.BIT.PD3MD		= 0;	// *0:PD3, 1:D3
//	                +ll--	PFC.PDCRL.BIT.PD2MD		= 0;	// *0:PD2, 1:D2
//	                 +l--	PFC.PDCRL.BIT.PD1MD		= 0;	// *0:PD1, 1:D1
//	                  +--	PFC.PDCRL.BIT.PD0MD		= 0;	// *0:PD0, 1:D0
	PFC.PECR1.WORD	= 0x0000;	// |[gERg[WX^1@
//	0000 0000 0000 0000	PECR1	l
//	++ll-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE15MD	= 0;	// *0:PE15, 1:TIOC4D, 2,DACK1, 3:~IRQOUT
//	  ++-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE14MD	= 0;	// *0:PE14, 1:TIOC4C, 2,DACK0, 3:~AH
//	     ++-l--l-l--l-l--	PFC.PECR1.BIT.PE13MD	= 0;	// *0:PE13, 1:TIOC4B, 2,~MRES
//	        +--l-l--l-l--	PFC.PECR1.BIT.PE12MD	= 0;	// *0:PE12, 1:TIOC4A
//	           +-l--l-l--	PFC.PECR1.BIT.PE11MD	= 0;	// *0:PE11, 1:TIOC3D
//	             +--l-l--	PFC.PECR1.BIT.PE10MD	= 0;	// *0:PE10, 1:TIOC3C
//	                +-l--	PFC.PECR1.BIT.PE9MD		= 0;	// *0:PE9, 1:TIOC3B
//	                  +--	PFC.PECR1.BIT.PE8MD		= 0;	// *0:PE8, 1:TIOC3A
	PFC.PECR2.WORD	= 0x0000;	// |[gERg[WX^2
//	0000 0000 0000 0000	PECR2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0
#else	//	MCU MODE2(ROM+ORAM 1M8bit)
//	JP:1M	DSW1:ON DSW2:OFF DSW3:OFF
	//--------------------------------------
	// oXXe[gRg[
	//--------------------------------------
	BSC.BCR1.WORD	= 0x2000;	// oXRg[WX^1	MTURWE=EN
//	0010 0000 0000 1111	BCR1	l
//	  +-----l-llll-llll--	BSC.BCR1.BIT.MTURWE		= 1;	// MTUWX^ANZX 0:֎~, *1:
//	        +-llll-llll--	BSC.BCR1.BIT.IOE		= 0;	// *0:~CS3ʏ, 1:}`vNXI/O
//	          +lll-llll--	BSC.BCR1.BIT.A3LG		= 0;	// *0:~CS3 A3SZQ, 1:~CS3 32bit
//	           +ll-llll--	BSC.BCR1.BIT.A2LG		= 0;	// *0:~CS2 A2SZQ, 1:~CS2 32bit
//	            +l-llll--	BSC.BCR1.BIT.A1LG		= 0;	// *0:~CS1 A1SZQ, 1:~CS1 32bit
//	             +-llll--	BSC.BCR1.BIT.A0LG		= 0;	// *0:~CS0 A0SZQ, 1:~CS0 32bit
//	               +lll--	BSC.BCR1.BIT.A3SZ		= 0;	// 0:~CS3 8bit, *1:~CS3 16bit
//	                +ll--	BSC.BCR1.BIT.A2SZ		= 0;	// 0:~CS2 8bit, *1:~CS2 16bit
//	                 +l--	BSC.BCR1.BIT.A1SZ		= 0;	// 0:~CS1 8bit, *1:~CS1 16bit
//	                  +--	BSC.BCR1.BIT.A0SZ		= 0;	// 0:~CS0 8bit, *1:~CS0 16bit
	BSC.BCR2.WORD	= 0x0000;	// oXRg[WX^2
//	1111 1111 1111 1111	BCR2	l
//	++ll-llll-llll-llll--	BSC.BCR2.BIT.IW3		= 0;	// ~CS3ANZXAChTCN 0`*3
//	  ++-llll-llll-llll--	BSC.BCR2.BIT.IW2		= 0;	// ~CS2ANZXAChTCN 0`*3
//	     ++ll-llll-llll--	BSC.BCR2.BIT.IW1		= 0;	// ~CS1ANZXAChTCN 0`*3
//	       ++-llll-llll--	BSC.BCR2.BIT.IW0		= 0;	// ~CS0ANZXAChTCN 0`*3
//	          +lll-llll--	BSC.BCR2.BIT.CW3		= 0;	// ~CS3AANZXAChTCN 0`*1
//	           +ll-llll--	BSC.BCR2.BIT.CW2		= 0;	// ~CS2AANZXAChTCN 0`*1
//	            +l-llll--	BSC.BCR2.BIT.CW1		= 0;	// ~CS1AANZXAChTCN 0`*1
//	             +-llll--	BSC.BCR2.BIT.CW0		= 0;	// ~CS0AANZXAChTCN 0`*1
//	               +lll--	BSC.BCR2.BIT.SW3		= 0;	// ~CS3AT[gg 0:Ȃ, *1:
//	                +ll--	BSC.BCR2.BIT.SW2		= 0;	// ~CS2AT[gg 0:Ȃ, *1:
//	                 +l--	BSC.BCR2.BIT.SW1		= 0;	// ~CS1AT[gg 0:Ȃ, *1:
//	                  +--	BSC.BCR2.BIT.SW0		= 0;	// ~CS0AT[gg 0:Ȃ, *1:
	BSC.WCR1.WORD	= 0x0020;	// EFCgRg[WX^1
//	1111 1111 1111 1111	WCR1	l
//	++++-llll-llll-llll--	BSC.WCR1.BIT.W3			= 0;	// ~CS3ANZXEFCg 0`*15
//	     ++++-llll-llll--	BSC.WCR1.BIT.W2			= 0;	// ~CS2ANZXEFCg 0`*15
//	          ++++-llll--	BSC.WCR1.BIT.W1			= 2;	// ~CS1ANZXEFCg 0`*15
//	               ++++--	BSC.WCR1.BIT.W0			= 0;	// ~CS0ANZXEFCg 0`*15
	//--------------------------------------
	// st@NVRg[
	//--------------------------------------
	PFC.PACRH.WORD	= 0x0000;	// |[gARg[WX^H
//	0000 0000 0000 0000	PACRH	l
//	 +-l--l-l-llll--l-l--	PFC.PACRH.BIT.PA23MD	= 0;	// *0:PA23, 1:~WRHH
//	   +--l-l-llll--l-l--	PFC.PACRH.BIT.PA22MD	= 0;	// *0:PA22, 1:~WRHL
//	      +-l-llll--l-l--	PFC.PACRH.BIT.PA21MD	= 0;	// *0:PA21, 1:~CASHH
//	        +-llll--l-l--	PFC.PACRH.BIT.PA20MD	= 0;	// *0:PA20, 1:~CASHL
//	          ++ll--l-l--	PFC.PACRH.BIT.PA19MD	= 0;	// *0:PA19, 1:~BACK, 2:~DREQ1
//	            ++--l-l--	PFC.PACRH.BIT.PA18MD	= 0;	// *0:PA18, 1:~BREQ, 2:~DREQ0
//	                +-l--	PFC.PACRH.BIT.PA17MD	= 0;	// *0:PA17, 1:~WAIT
//	                  +--	PFC.PACRH.BIT.PA16MD	= 0;	// *0:PA16, 1:~AH
	PFC.PACRL1.WORD	= 0x1140;	// |[gARg[WX^L1
//	0000 0000 0000 0000	PACRL1	l
//	 +-l--l-l--l-l-llll--	PFC.PACRL1.BIT.PA15MD	= 0;	// *0:PA15, 1:CK
//	   +--l-l--l-l-llll--	PFC.PACRL1.BIT.PA14MD	= 1;	// *0:PA14, 1:~RD
//	      +-l--l-l-llll--	PFC.PACRL1.BIT.PA13MD	= 0;	// *0:PA13, 1:~WRH
//	        +--l-l-llll--	PFC.PACRL1.BIT.PA12MD	= 1;	// *0:PA12, 1:~WRL
//	           +-l-llll--	PFC.PACRL1.BIT.PA11MD	= 1;	// *0:PA11, 1:~CS1
//	             +-llll--	PFC.PACRL1.BIT.PA10MD	= 0;	// *0:PA10, 1:~CS0
//	               ++ll--	PFC.PACRL1.BIT.PA9MD	= 0;	// *0:PA9, 1:TCLKD, 2:~IRQ3
//	                 ++--	PFC.PACRL1.BIT.PA8MD	= 0;	// *0:PA8, 1:TCLKC, 2:~IRQ2
	PFC.PACRL2.WORD	= 0x0145;	// |[gARg[WX^L2	SCI0,SCI1 EN
//	0000 0000 0000 0000	PACRL2	l
//	++ll-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA7MD	= 0;	// *0:PA7, 1:TCLKB, 2:~CS3
//	  ++-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA6MD	= 0;	// *0:PA6, 1:TCLKA, 2:~CS2
//	     ++-l--lll--l-l--	PFC.PACRL2.BIT.PA5MD	= 0;	// *0:PA5, 1:SCK1, 2:~DREQ1, 3:~IRQ1
//	        +--lll--l-l--	PFC.PACRL2.BIT.PA4MD	= 1;	// *0:PA4, 1:TXD1
//	           +ll--l-l--	PFC.PACRL2.BIT.PA3MD	= 1;	// *0:PA3, 1:RXD1
//	            ++--l-l--	PFC.PACRL2.BIT.PA2MD	= 0;	// *0:PA2, 1:SCK0, 2:~DREQ0, 3:~IRQ0
//	                +-l--	PFC.PACRL2.BIT.PA1MD	= 1;	// *0:PA1, 1:TXD0
//	                  +--	PFC.PACRL2.BIT.PA0MD	= 1;	// *0:PA0, 1:RXD0
	PFC.PBCR1.WORD	= 0x0000;	// |[gBRg[WX^1
//	0000 0000 0000 0000	PBCR1	l
//	               ++ll--	PFC.PBCR1.BIT.PB9MD		= 0;	// *0:PB9, 1:~IRQ7, 2:A21, 3:~ADTRG
//	                 ++--	PFC.PBCR1.BIT.PB8MD		= 0;	// *0:PB8, 1:~IRQ6, 2;A20, 3:~WAIT
	PFC.PBCR2.WORD	= 0x0001;	// |[gBRg[WX^2
//	0000 0000 0000 0000	PBCR2	l
//	++ll-llll-llll--l-l--	PFC.PBCR2.BIT.PB7MD		= 0;	// *0:PB7, 1:~IRQ5, 2:A19, 3:~BREQ
//	  ++-llll-llll--l-l--	PFC.PBCR2.BIT.PB6MD		= 0;	// *0:PB6, 1:~IRQ4, 2:A18, 3:~BACK
//	     ++ll-llll--l-l--	PFC.PBCR2.BIT.PB5MD		= 0;	// *0:PB5, 1:~IRQ3, 2:~POE3, 3:RDWR
//	       ++-llll--l-l--	PFC.PBCR2.BIT.PB4MD		= 0;	// *0:PB4, 1:~IRQ2, 2:~POE2, 3:~CASH
//	          ++ll--l-l--	PFC.PBCR2.BIT.PB3MD		= 0;	// *0:PB3, 1:~IRQ1, 2:~POE1, 3:~CASL
//	            ++--l-l--	PFC.PBCR2.BIT.PB2MD		= 0;	// *0:PB2, 1:~IRQ0, 2:~POE0, 3:~RAS
//	                +-l--	PFC.PBCR2.BIT.PB1MD		= 0;	// *0:PB1, 1:A17
//	                  +--	PFC.PBCR2.BIT.PB0MD		= 1;	// *0:PB0, 1:A16
	PFC.PCCR.WORD	= 0xFFFF;	// |[gCRg[WX^
//	0000 0000 0000 0000	PCCR	l
//	+lll-llll-llll-llll--	PFC.PCCR.BIT.PC15MD		= 1;	// *0:PC15, 1:A15
//	 +ll-llll-llll-llll--	PFC.PCCR.BIT.PC14MD		= 1;	// *0:PC14, 1:A14
//	  +l-llll-llll-llll--	PFC.PCCR.BIT.PC13MD		= 1;	// *0:PC13, 1:A13
//	   +-llll-llll-llll--	PFC.PCCR.BIT.PC12MD		= 1;	// *0:PC12, 1:A12
//	     +lll-llll-llll--	PFC.PCCR.BIT.PC11MD		= 1;	// *0:PC11, 1:A11
//	      +ll-llll-llll--	PFC.PCCR.BIT.PC10MD		= 1;	// *0:PC10, 1:A10
//	       +l-llll-llll--	PFC.PCCR.BIT.PC9MD		= 1;	// *0:PC9, 1:A9
//	        +-llll-llll--	PFC.PCCR.BIT.PC8MD		= 1;	// *0:PC8, 1:A8
//	          +lll-llll--	PFC.PCCR.BIT.PC7MD		= 1;	// *0:PC7, 1:A7
//	           +ll-llll--	PFC.PCCR.BIT.PC6MD		= 1;	// *0:PC6, 1:A6
//	            +l-llll--	PFC.PCCR.BIT.PC5MD		= 1;	// *0:PC5, 1:A5
//	             +-llll--	PFC.PCCR.BIT.PC4MD		= 1;	// *0:PC4, 1:A4
//	               +lll--	PFC.PCCR.BIT.PC3MD		= 1;	// *0:PC3, 1:A3
//	                +ll--	PFC.PCCR.BIT.PC2MD		= 1;	// *0:PC2, 1:A2
//	                 +l--	PFC.PCCR.BIT.PC1MD		= 1;	// *0:PC1, 1:A1
//	                  +--	PFC.PCCR.BIT.PC0MD		= 1;	// *0:PC0, 1:A0
	PFC.PDCRH1.WORD	= 0x0000;	// |[gDRg[WX^H1
//	0000 0000 0000 0000	PDCRH1	l
//	++ll-llll-llll-llll--	PFC.PDCRH1.BIT.PD31MD	= 0;	// *0:PD31, 1:D31, 2:~ADTRG
//	  ++-llll-llll-llll--	PFC.PDCRH1.BIT.PD30MD	= 0;	// *0:PD30, 1:D30, 2:~IRQOUT
//	     ++ll-llll-llll--	PFC.PDCRH1.BIT.PD29MD	= 0;	// *0:PD29, 1:D29, 2;~CS3
//	       ++-llll-llll--	PFC.PDCRH1.BIT.PD28MD	= 0;	// *0:PD28, 1:D28, 2:~CS2
//	          ++ll-llll--	PFC.PDCRH1.BIT.PD27MD	= 0;	// *0:PD27, 1:D27, 2:DACK1
//	            ++-llll--	PFC.PDCRH1.BIT.PD26MD	= 0;	// *0:PD26, 1:D26, 2:DACK0
//	               ++ll--	PFC.PDCRH1.BIT.PD25MD	= 0;	// *0:PD25, 1:D25, 2:~DREQ1
//	                 ++--	PFC.PDCRH1.BIT.PD24MD	= 0;	// *0:PD24, 1:D24, 2:~DREQ0
	PFC.PDCRH2.WORD	= 0x0000;	// |[gDRg[WX^H2
//	0000 0000 0000 0000	PDCRH2	l
//	++ll-llll-llll-llll--	PFC.PDCRH2.BIT.PD23MD	= 0;	// *0:PD23, 1:D23, 2:~IRQ7
//	  ++-llll-llll-llll--	PFC.PDCRH2.BIT.PD22MD	= 0;	// *0:PD22, 1:D22, 2:~IRQ6
//	     ++ll-llll-llll--	PFC.PDCRH2.BIT.PD21MD	= 0;	// *0:PD21, 1:D21, 2:~IRQ5
//	       ++-llll-llll--	PFC.PDCRH2.BIT.PD20MD	= 0;	// *0:PD20, 1:D20, 2:~IRQ4
//	          ++ll-llll--	PFC.PDCRH2.BIT.PD19MD	= 0;	// *0:PD19, 1:D19, 2:~IRQ3
//	            ++-llll--	PFC.PDCRH2.BIT.PD18MD	= 0;	// *0:PD18, 1:D18, 2:~IRQ2
//	               ++ll--	PFC.PDCRH2.BIT.PD17MD	= 0;	// *0:PD17, 1:D17, 2:~IRQ1
//	                 ++--	PFC.PDCRH2.BIT.PD16MD	= 0;	// *0:PD16, 1:D16, 2:~IRQ0
	PFC.PDCRL.WORD	= 0x00FF;	// |[gDRg[WX^L
//	0000 0000 0000 0000	PDCRL	l
//	+lll-llll-llll-llll--	PFC.PDCRL.BIT.PD15MD	= 0;	// *0:PD15, 1:D15
//	 +ll-llll-llll-llll--	PFC.PDCRL.BIT.PD14MD	= 0;	// *0:PD14, 1:D14
//	  +l-llll-llll-llll--	PFC.PDCRL.BIT.PD13MD	= 0;	// *0:PD13, 1:D13
//	   +-llll-llll-llll--	PFC.PDCRL.BIT.PD12MD	= 0;	// *0:PD12, 1:D12
//	     +lll-llll-llll--	PFC.PDCRL.BIT.PD11MD	= 0;	// *0:PD11, 1:D11
//	      +ll-llll-llll--	PFC.PDCRL.BIT.PD10MD	= 0;	// *0:PD10, 1:D10
//	       +l-llll-llll--	PFC.PDCRL.BIT.PD9MD		= 0;	// *0:PD9, 1:D9
//	        +-llll-llll--	PFC.PDCRL.BIT.PD8MD		= 0;	// *0:PD8, 1:D8
//	          +lll-llll--	PFC.PDCRL.BIT.PD7MD		= 1;	// *0:PD7, 1:D7
//	           +ll-llll--	PFC.PDCRL.BIT.PD6MD		= 1;	// *0:PD6, 1:D6
//	            +l-llll--	PFC.PDCRL.BIT.PD5MD		= 1;	// *0:PD5, 1:D5
//	             +-llll--	PFC.PDCRL.BIT.PD4MD		= 1;	// *0:PD4, 1:D4
//	               +lll--	PFC.PDCRL.BIT.PD3MD		= 1;	// *0:PD3, 1:D3
//	                +ll--	PFC.PDCRL.BIT.PD2MD		= 1;	// *0:PD2, 1:D2
//	                 +l--	PFC.PDCRL.BIT.PD1MD		= 1;	// *0:PD1, 1:D1
//	                  +--	PFC.PDCRL.BIT.PD0MD		= 1;	// *0:PD0, 1:D0
	PFC.PECR1.WORD	= 0x0000;	// |[gERg[WX^1@
//	0000 0000 0000 0000	PECR1	l
//	++ll-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE15MD	= 0;	// *0:PE15, 1:TIOC4D, 2,DACK1, 3:~IRQOUT
//	  ++-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE14MD	= 0;	// *0:PE14, 1:TIOC4C, 2,DACK0, 3:~AH
//	     ++-l--l-l--l-l--	PFC.PECR1.BIT.PE13MD	= 0;	// *0:PE13, 1:TIOC4B, 2,~MRES
//	        +--l-l--l-l--	PFC.PECR1.BIT.PE12MD	= 0;	// *0:PE12, 1:TIOC4A
//	           +-l--l-l--	PFC.PECR1.BIT.PE11MD	= 0;	// *0:PE11, 1:TIOC3D
//	             +--l-l--	PFC.PECR1.BIT.PE10MD	= 0;	// *0:PE10, 1:TIOC3C
//	                +-l--	PFC.PECR1.BIT.PE9MD		= 0;	// *0:PE9, 1:TIOC3B
//	                  +--	PFC.PECR1.BIT.PE8MD		= 0;	// *0:PE8, 1:TIOC3A
	PFC.PECR2.WORD	= 0x0000;	// |[gERg[WX^2
//	0000 0000 0000 0000	PECR2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0
#endif
}

