#ifndef	_SCI_H_
#define	_SCI_H_
/*--------------------------------------------------------------*/
/* VAʐM֐(FIFOobt@t)                             */
/*--------------------------------------------------------------*/
#define SCI0_BUFF_SIZE	20
#define SCI1_BUFF_SIZE	20
#if PCLOCK == 28000000	// NbN28MHz
typedef enum {		//((PCLOCK / 32) / bps) - 1
  br4800   = 181,	//0.16%
  br9600   = 90,	//0.16%
  br19200  = 45,	//0.93%
  br38400  = 22,	//0.93%
  br57600  = 14,	//1.27%
  br76800  = 10,	//3.57%	
  br115200 = 7,		//5.06%	
  br115200_EXT = 255    // SCK[qgp
} TBaudRate;
#endif
#if PCLOCK == 28640000	// NbN28.64MHz
typedef enum {		//((PCLOCK / 32) / bps) - 1
  br4800   = 185,	//0.25%
  br9600   = 92,	//0.25%
  br19200  = 46,	//0.82%
  br38400  = 22,	//1.34%
  br57600  = 15,	//2.89%
  br76800  = 11,	//2.89%
  br115200 = 7,		//2.89%
  br115200_EXT = 255    // SCK[qgp
} TBaudRate;
#endif
typedef struct {
	struct {
		char  *buf;
		short wp;
		short rp;
		short maxlen;
	} tx;
	struct {
		char  *buf;
		short wp;
		short rp;
		short maxlen;
	} rx;
} SCIFIFO;
// SCI0
extern void SCI0_INIT(TBaudRate,char,unsigned char,unsigned char,unsigned char);		//rs_init
extern short SCI0_OUT_DATA_CHECK(void);		// rs_tx_buff
extern short SCI0_IN_DATA_CHECK(void);		// rs_rx_buff
extern void SCI0_IN_DATA_CLEAR(void);		// rs_rx_purge
extern void SCI0_OUT_DATA_CLEAR(void);		// rs_tx_purge

extern void SCI0_OUT_DATA(char);			// rs_putc
extern void SCI0_OUT_STRING(char *);		// rs_puts
extern void SCI0_OUT_STRINGB(char *,short);	// rs_putsb
extern void SCI0_OUT_STRINGB2(char *,int);	// rs_putsb2
extern char SCI0_IN_DATA(void);				// rs_getc
extern short SCI0_IN_STRING(char *,short);	// rs_gets
extern int SCI0_IN_STRING2(char *,int);		// rs_gets2
extern int SCI0_PRINTF(const char *,...);	// rs_printf

//extern void INT_SCI0_ERI0(void);			// rs_eri
//extern void INT_SCI0_RXI0(void);			// rs_rxi
//extern void INT_SCI0_TXI0(void);			// rs_txi
//extern void INT_SCI0_ERI0(void);			// int_tei
//extern char txb0[SCI0_BUFF_SIZE], rxb0[SCI0_BUFF_SIZE];
// SCI1
extern void SCI1_INIT(TBaudRate, char,unsigned char,unsigned char,unsigned char);		//rs_init
extern short SCI1_OUT_DATA_CHECK(void);		// rs_tx_buff
extern short SCI1_IN_DATA_CHECK(void);		// rs_rx_buff
extern void SCI1_IN_DATA_CLEAR(void);		// rs_rx_purge
extern void SCI1_OUT_DATA_CLEAR(void);		// rs_tx_purge

extern void SCI1_OUT_DATA(char);			// rs_putc
extern void SCI1_OUT_STRING(char *);		// rs_puts
extern void SCI1_OUT_STRINGB(char *,short);	// rs_putsb
extern void SCI1_OUT_STRINGB2(char *,int);	// rs_putsb2
extern char SCI1_IN_DATA(void);				// rs_getc
extern short SCI1_IN_STRING(char *,short);	// rs_gets
extern int SCI1_IN_STRING2(char *,int);		// rs_gets2
extern int SCI1_PRINTF(const char *,...);	// rs_printf

//extern void INT_SCI1_ERI1(void);			// rs_eri
//extern void INT_SCI1_RXI1(void);			// rs_rxi
//extern void INT_SCI1_TXI1(void);			// rs_txi
//extern void INT_SCI1_ERI1(void);			// int_tei
//extern char txb1[SCI1_BUFF_SIZE], rxb1[SCI1_BUFF_SIZE];

#endif	//_SCI_H_
